<?php
declare(strict_types=1);

namespace AuxCF\Entities\Field\Enum;

use AuxCF\Entities\Settings\Traits\SettingEnumTraits;

enum ImageFieldPreviewSizeEnum: string
{
  use SettingEnumTraits;

  case Thumbnail = 'thumbnail';
  case Medium = 'medium';

  public const SETTING_KEY = 'preview_size';
  public const SETTING_LABEL = 'image field preview size';

  public const DEFAULT = self::Thumbnail;
}
